package com.springboot.activemq;

import javax.jms.Queue;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jms.core.JmsTemplate;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@Controller
public class Producer {

	@Autowired
	private Queue queue;

	@Autowired
	private JmsTemplate jmsTemplate;

	@GetMapping("publish/{message}")
	public String publishMessage(@PathVariable("message") String message) {
		
		jmsTemplate.convertAndSend(queue, message);
		return "Your message <b>" + message + "</b> published successfully";

	}

}
